Skip to content
You're viewing documentation for v2026.11.7-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Change livesync options

Change auto-add or create missing target tables.

PATCH/api/v1/livesync/{id}
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Request body
requiredapplication/json
auto_add_tablesboolean

Publish tables created on the source after this moment automatically. Tables currently unpublished stay that way.

sync_schemaboolean

Create missing published tables on the target now. Existing tables stay unchanged.

Responses
200

OK

auto_add_tablesbooleanrequired
created_atstringrequired
healthstringrequired
health_checked_atstring
health_detailstring
host_displaystringrequired
host_server_idstringrequired
idstringrequired
namestringrequired
publicationstringrequired
publication_managedbooleanrequired
source_cluster_idstring
source_displaystringrequired
statusstringrequired
subscriptionstringrequired
target_cluster_idstring
target_displaystringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X PATCH 'https://console.example.com/api/v1/livesync/string' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "auto_add_tables": true,
  "sync_schema": true
}'
Response
{
  "auto_add_tables": true,
  "created_at": "string",
  "health": "string",
  "health_checked_at": "string",
  "health_detail": "string",
  "host_display": "string",
  "host_server_id": "string",
  "id": "string",
  "name": "string",
  "publication": "string",
  "publication_managed": true,
  "source_cluster_id": "string",
  "source_display": "string",
  "status": "string",
  "subscription": "string",
  "target_cluster_id": "string",
  "target_display": "string"
}